import request from '@/utils/request'

// 查询阀门常开/常关状态记录列表
export function listNonc(query) {
  return request({
    url: '/process/nonc/list',
    method: 'get',
    params: query
  })
}

// 查询阀门常开/常关状态记录详细
export function getNonc(id) {
  return request({
    url: '/process/nonc/' + id,
    method: 'get'
  })
}

// 新增阀门常开/常关状态记录
export function addNonc(data) {
  return request({
    url: '/process/nonc',
    method: 'post',
    data: data
  })
}

// 修改阀门常开/常关状态记录
export function updateNonc(data) {
  return request({
    url: '/process/nonc',
    method: 'put',
    data: data
  })
}

// 删除阀门常开/常关状态记录
export function delNonc(id) {
  return request({
    url: '/process/nonc/' + id,
    method: 'delete'
  })
}
